## palemoon 33.7.1

=== debian/changelog ===
palemoon (33.7.1-1mx25) mx; urgency=medium

  * Import upstream 33.7.1, small bugfix and security release:
    - Fixed a crash dealing with BigInt in Javascript compilation.
    - Updated NSS to 3.90.7 to pick up a security fix.
    - Updated devtools to escape some more characters in "Copy as cURL" on
      POSIX operating systems. DiD

  * Drop building with gcc-11 for armhf, gcc-14 works.
  * Disable gconf and drop libgconf-dev from BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 May 2025 06:45:44 -0700
