## palemoon 33.7.2

=== debian/changelog ===
palemoon (33.7.2-1mx23) mx; urgency=medium

  * Import upstream 33.7.2 security release:
    - Addressed PWN2OWN-2025-1 (out of bounds read or write in promise) DiD
    - Addressed PWN2OWN-2025-2 (out of bounds read or write when using the
      ExtractLinearSum optimization) DiD
    - Fixed potential unexpected behavior in embedded protobuf code. DiD
    - Fixed an issue with potentially uninitialized contrast values when
       enhanced device contrast values can not be read from the O.S. DiD
    - Fixed potential sanitization issues with devtools' "Copy as curl"
      feature. It should be noted that we do not currently offer cross-platform
      "curl" features, so this is another DiD for this release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Jun 2025 17:50:43 -0700

palemoon (33.7.1-1mx23) mx; urgency=medium

  * Import upstream 33.7.1, small bugfix and security release:
    - Fixed a crash dealing with BigInt in Javascript compilation.
    - Updated NSS to 3.90.7 to pick up a security fix.
    - Updated devtools to escape some more characters in "Copy as cURL" on
      POSIX operating systems. DiD

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 May 2025 06:45:44 -0700
