## palemoon 33.8.1.1

=== debian/changelog ===
palemoon (33.8.1.1-1mx25) mx; urgency=medium

  * Import upstream 33.8.1.1 bugfix and security release:
    - Fixed a browser crash in the new code introduced in 33.8.1 around
      <object> restrictions.
    - Fixed a regression in the styling of the address bar drop-down making
      links unreadable when highlighted.

     [v33.8.1 (2025-07-29)]
    - Pale Moon no longer accepts nameless cookies. See implementation notes.
    - Improved the "copy as curl" command in devtools further, partially
      rolling back the DiD changes in previous versions since we aren't
      offering cross-platform commands and it caused potential issues with overzealous escaping.
    - Fixed a potential use-after-free scenario in the CSS parser.
    - Fixed uninitialized use of fontconfig scenarios for Linux/GTK.
    - Adjusted CSP URI reporting to more closely match the current spec and
      common browser behavior.
    - Fixed a potential crash in font handling.
    - Adjusted the size of WASM compiled table size limits to match V8/Gecko.
    - Increased restrictions on the types of data loads <object> elements are
      allowed to trigger, to match the fetch spec more closely.
    - Fixed build issues for PPC architectures.
    - Security issues addressed: CVE-2025-8031, CVE-2025-8028 (DiD),
      CVE-2025-8037 (and related), CVE-2025-8029, and several others that do
      not have a CVE number.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Aug 2025 09:20:08 -0700

palemoon (33.8.0-1mx25) mx; urgency=medium

  * Import upstream 33.8.0 development, bugfix and security release:
    - Pale Moon now includes all non-ubiquitous image and media types in the
      navigation Accept: header, as discussed in the relevant whatwg fetch
      spec issue.
    - Implemented .toJSON() for DOMRect, DOMPoint and DOMMatrix.
    - Added a base implementation of the SVGGeometryElement API. This is
      currently limited to .pathLength, getTotalLength() and
      getPointAtLength(distance)for SVG paths.
    - Added a base-64/character validity grammar check for CSP nonces.
    - Enabled JPEG-XL support unconditionally.
    - Improved desktop ARM media capabilities.
    - Improved our handling of CSP checks (multiple improvements surrounding
      loading principal checks).
    - Added several Mac-specific file types to be treated as executables.
    - Updated the emoji font to Unicode 16.0.0. We can now finally have the
      "tired dev" emoji!
    - Updated SQLite library to 3.50.1.
    - Updated NSS to 3.90.7.1 to fix some issues with some sites due to
      prior root certificate updates.
    - Updated code dealing with internal URL rewrites for Youtube.
    - Changed the Firefox compatibility mode version to 128.
    - Changed how .click() on <A> elements is handled.
    - Changed DOMMatrix's rotate() and rotateSelf() functions to accept 3D
      rotation instead of 2D, per spec.
    - Changed CSS parameter animation to round values instead of truncating
      them, per spec.
    - This affects all integer properties (e.g. z-order) and font-stretching.
    - Changed HTML element attribute parsing to additionally escape 
      < and > characters, per spec.
    - Fixed a regression in XUL <tree> elements where column selection would
      omit the first-defined column.
    - Fixed a minor issue in DOMSVGPoint finity checks.
    - Fixed some minor platform issues and updated Mac SDK checks.
    - Fixed an issue when device contrast values would be unset in Mac
      or Windows+DirectWrite.
    - Fixed an issue in 33.7.2's updated "Copy as curl" feature which could
      potentially mangle URLs.
    - Fixed an issue with FontFaceSet loading.
    - Removed support for very old libavcodec versions (before v58).
    - Removed the CSP referrer directive as it's no longer in the spec.
    - Removed the allowance of <A> in image maps. Only <area> is now supported.
    - Removed several obsolete and unused preferences from about:config.
    - Removed obsolete NPN preferences and calls. NPN has long since been
      replaced by ALPN.
    - Removed obsolete SVGZoomEvent interface and handlers.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Jul 2025 17:12:50 -0700
