=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 10),
-#               g++-11 [armhf] | g++-10 [armhf],
-#               gcc-11 [armhf] | gcc-10 [armhf],
+               g++-11 [armhf] | g++-12 [armhf] | g++-10 [armhf],
                libasound2-dev,
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
-#               libgconf2-dev (>= 1.2.1),
+               libgconf2-dev (>= 1.2.1) | gcc (>= 14),
                libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
@@ -27,7 +26,7 @@
 
 Package: palemoon
 Architecture: any
-Depends: libavcodec58 | libavcodec59 | libavcodec60 | libavcodec61 | libavcodec-extra,
+Depends: libavcodec61 | libavcodec60 | libavcodec59 | libavcodec58 | libavcodec-extra,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-www-browser, www-browser, x-www-browser
@@ -47,3 +46,4 @@
  .
  Though Palemoon has removed support for older non-AVX processors on their
  official builds as of 33.3.0, this MX version still supports SSE2 for x86.
+ MX currently has a "+avx" Pale Moon package in the test repositories.
