## palemoon 33.8.1.2

=== debian/changelog ===
palemoon (33.8.1.2-1mx25) mx; urgency=medium

  * Import upstream 33.8.1.2 bugfix release:
    - This is a bugfix update addressing issues with NPAPI plugins not working
      in v33.8.1.1. For safety reasons, plugins are now also by default set to
      "ask to activate". It is recommended you keep this default setting and 
      only allow plugins to be activated specifically on the websites you 
      intend to use them.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Aug 2025 22:11:56 -0700
