## palemoon 33.8.2

=== debian/changelog ===
palemoon (33.8.2-1mx25) mx; urgency=medium

  * Import upstream 33.8.2 minor development, security and bugfix release:
    - Changed the way the address bar focus is handled when navigating to a
      fragment (#hash or anchor) within an existing URL. It will now re-focus
      the page the same way a normal address navigation would (resetting the
      "editing" state, unless the user is actively typing).
    - Implemented support for the :focus-visible CSS pseudo-class.
    - Fixed a potential race condition in font tables. DiD
    - Fixed potential issues with pthread allocations. DiD
    - Fixed an issue in NSS related to the PKCS12 decoder.
    - Security issues addressed: CVE-2025-9181 and several others that do not
      have a CVE number.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Aug 2025 15:51:27 -0700
