=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 10),
-               g++-11 [armhf] | g++-12 [armhf] | g++-10 [armhf],
+#               g++-11 [armhf] | g++-12 [armhf] | g++-10 [armhf],
                libasound2-dev,
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
