=== debian/rules ===
--- 
+++ 
@@ -27,14 +27,6 @@
 	export CC = gcc-11
 	export CXX = g++-11
 	export CPP = cpp-11
-endif
-endif
-
-ifneq (,$(filter $(distrel), trixie))
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
-	export CC = gcc-12
-	export CXX = g++-12
-	export CPP = cpp-12
 endif
 endif
