## palemoon 33.9.0~sparky7~0

=== debian/changelog ===
palemoon (33.9.0~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 25 Sep 2025 16:11:44 +0200
