=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: palemoon
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>, pavroo <pavroo@onet.eu>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 10),
-#               g++-11 [armhf] | g++-12 [armhf] | g++-10 [armhf],
+               g++-11 [armhf] | g++-10 [armhf] | g++-14 [armhf],
                libasound2-dev,
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
-               libgconf2-dev (>= 1.2.1) | gcc (>= 14),
+               libgconf2-dev (>= 1.2.1),
                libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
@@ -26,7 +26,7 @@
 
 Package: palemoon
 Architecture: any
-Depends: libavcodec61 | libavcodec60 | libavcodec59 | libavcodec58 | libavcodec-extra,
+Depends: libavcodec62 | libavcodec61 | libavcodec60 | libavcodec59 | libavcodec58 | libavcodec-extra,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-www-browser, www-browser, x-www-browser
