## palemoon 33.9.0

=== debian/changelog ===
palemoon (33.9.0-1mx25) mx; urgency=medium

  * Import upstream 33.9.0 major development, security and bugfix release:
    - Implemented the CSS4 revert keyword.
    - Implemented the clip keyword for overflow. See implementation notes.
    - Implemented axis-shorthand parsing of overflow. This should fix some
      issues with areas being unscrollable on the web.
    - Implemented CSS color-mix (RGB and HSL color spaces only).
    - Implemented CSS @supports(selector(<complex selector>)) syntax.
    - Implemented CSS Cascade Layers @layer support.
    - Implemented support for CSS clip-path:<geometry-box> without actually 
      supplying a clip path to use. See implementation notes.
    - Implemented overflow-inline and overflow-block CSS properties.
    - Implemented the :autofill CSS pseudo-class. Auto-filled fields will now
      also be styled by default to indicate autofilling/password manager recall has occurred.
    - Implemented the :focus-visible CSS pseudo-class.
    - Implemented the prefers-reduced-motion CSS media query. See 
      implementation notes.
    - Implemented a minimal version of the visualViewport web API. See
      implementation notes.

    Changes/fixes:

    - Un-prefixed CSS -moz-user-select and aligned with the user-select
      CSS4 spec.
    - Un-prefixed CSS -moz-read-only and -moz-read-write pseudo-classes.
    - Improved the handling of X-Content-Type-Options: nosniff to align more
      with the spec and expected behavior on the web.
    - Added support for FFmpeg 7.0/libavcodec 61.
    - Fixed a bug where sub-properties of CSS border-image would not update
      when the value they inherit from changes.
    - Fixed a bug where scrollbar-width was incorrectly treated as an inherited
      property.
    - Fixed an issue where screen/pixel color depth could potentially 
      be mis-reported on Linux.
    - Fixed a potential issue with fontconfig on Linux. We now explicitly
      initialize fontconfig on startup.
    - Fixed various issues with vpx on PowerPC architectures.
    - Fixed issues when building ffvpx on architectures without assembly
      support.
    - Fixed a memory safety issue in two-position gradient color-stops code.
    - Changed the way @import rules are processed. They will now be processed
      in the order of appearance in the importing stylesheet.
    - Changed how TypedArray constructors handle initialization values,
      aligning with the ECMAScript spec. See implementation notes.
    - Changed how Cache-control HTTP headers are parsed if multiple headers
      are present in a response.
    - Made additional improvements to "Copy as cURL" devtools command.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Sep 2025 08:38:29 -0700
